package com.kdanmobile.reader.screen.handler

import com.kdanmobile.kmpdfkit.pdfcommon.TextChar
import com.kdanmobile.kmpdfkit.pdfcommon.TextWord

interface PdfInfoHandler {

    fun getOpenPdfFilename(): String

    fun getPdfPageCount(isNativeRefresh: Boolean = false): Int

    fun getCurrentPage(): Int

    fun setCurrentPage(page: Int): Boolean

    fun textLines(page: Int): Array<Array<TextWord>>

    fun getPageChars(page: Int): Array<Array<Array<Array<TextChar>>>>
}